<Config>
    <ExpConfig id="1">
        <!-- 项目识别码 -->
        <productName>"Shadowcat(Front)"</productName>
        <faceDetect>true</faceDetect>
        <useCalcuEv>true</useCalcuEv>

    </ExpConfig>
    <!-- HDR算法配置参数 -->
    <!-- iso分段: 从小往大搜索，当前iso<=iso velue时，使用该分段的参数 -->
    <!-- hdr_exposure_ev/hdr_exposure_ev_face:
        -100:该值不起作用，使用手动曝光hdr_exposure_time与hdr_exposure_iso
        100:该帧为跳帧，不作为算法输入
        useCalcuEv为true时的正值:将算法提亮倍数乘以该值，并转换为该帧的EV值
        useCalcuEv为true时的负值:将算法欠爆倍数乘以该值，并转换为该帧的EV值
        useCalcuEv为false时:以该值作为为EV值取帧 -->
    <!-- hdr_max_times/hdr_max_times_face: 提亮帧最大提亮倍数 -->
    <!-- hdr_min_times/hdr_min_times_face: 欠爆帧最大压暗倍数 -->
    <!-- platform_mfnr: 每一帧是否开启平台mfnr，取值范围0或者1，默认为0 -->
    <!-- baseIndex/baseIndex_face: 算法baseIndex, 需要减去跳帧数 -->
    <!-- mfnr_frameNum: HDR off情况下的降噪帧数，取值范围[2, 5] -->
    <!-- motionThreshold: 不同曝光图像的非重叠区域大于threshold，合成困难，返回EV0原图，取值范围[0.0, 1.0] -->
    <!-- chromaNrEnable: 降彩噪开关，取值范围0或者1，默认为0，仅针对相同曝光帧做降彩噪 -->
    <!-- hdr_deghostStrength: hdr去鬼影的强度，值越大，去鬼影越强，降噪越弱，取值范围[0.0, 1.0]，默认为0.7, 对于高ISO的场景，设置小于0.7的值对噪点有改善，建议不低于0.5 -->
    <!-- mfnr_deghostStrength: mfnr去鬼影的强度，值越大，去鬼影越强，降噪越弱，取值范围[0.0, 1.0]，默认为0.2 -->
    <!-- sharpness: 边缘增强强度系数，取值范围[0.0, 1.0]，默认为0，建议值0.3-0.5 -->
    <!-- saturation: 饱和度增强强度系数，取值范围[1.0, 1.5]，默认为1.0 -->
    <!-- chromaNrStrength: 降彩噪强度系数，取值范围[0.0, 1.0]，默认为0，建议值0.2-0.6，对MFNR、HDR多帧合成后的单帧做降彩噪处理 -->
    <HdrParam id="1">
        <hdr_iso value="150">
            <hdr_exposure_ev>0;101;100;-1;101;100;1</hdr_exposure_ev>
            <hdr_exposure_ev_face>0;101;100;-1.1;101;100;0.95</hdr_exposure_ev_face>
            <hdr_max_times>4</hdr_max_times>
            <hdr_min_times>8</hdr_min_times>
            <hdr_max_times_face>4</hdr_max_times_face>
            <hdr_min_times_face>8</hdr_min_times_face>
            <hdr_baseIndex>0</hdr_baseIndex>
            <hdr_baseIndex_face>0</hdr_baseIndex_face>
            <hdr_motionThreshold>0.6</hdr_motionThreshold>
            <hdr_motionThreshold_face>0.6</hdr_motionThreshold_face>
            <hdr_mfnr_chromaNrEnable>0</hdr_mfnr_chromaNrEnable>
            <hdr_mfnr_chromaNrEnable_face>0</hdr_mfnr_chromaNrEnable_face>
            <hdr_mfnr_deghostStrength>0.3</hdr_mfnr_deghostStrength>
            <hdr_mfnr_deghostStrength_face>0.3</hdr_mfnr_deghostStrength_face>
            <hdr_deghostStrength>0.7</hdr_deghostStrength>
            <hdr_deghostStrength_face>0.7</hdr_deghostStrength_face>
            <hdr_sharpness>0.0</hdr_sharpness>
            <hdr_sharpness_face>0.0</hdr_sharpness_face>
            <hdr_saturation>1.0</hdr_saturation>
            <hdr_saturation_face>1.0</hdr_saturation_face>
            <hdr_chromaNrStrength>0.0</hdr_chromaNrStrength>
            <hdr_chromaNrStrength_face>0.0</hdr_chromaNrStrength_face>
            <mfnr_frameNum>2</mfnr_frameNum>
            <mfnr_chromaNrEnable>0</mfnr_chromaNrEnable>
            <mfnr_chromaNrEnable_face>0</mfnr_chromaNrEnable_face>
            <mfnr_deghostStrength>0.3</mfnr_deghostStrength>
            <mfnr_deghostStrength_face>0.3</mfnr_deghostStrength_face>
            <mfnr_sharpness>0.0</mfnr_sharpness>
            <mfnr_sharpness_face>0.0</mfnr_sharpness_face>
            <mfnr_saturation>1.0</mfnr_saturation>
            <mfnr_saturation_face>1.0</mfnr_saturation_face>
            <mfnr_chromaNrStrength>0.0</mfnr_chromaNrStrength>
            <mfnr_chromaNrStrength_face>0.0</mfnr_chromaNrStrength_face>
        </hdr_iso>
        <hdr_iso value="250">
            <hdr_exposure_ev>0;101;100;-1;101;100;1</hdr_exposure_ev>
            <hdr_exposure_ev_face>0;101;100;-1.1;101;100;0.9</hdr_exposure_ev_face>
            <hdr_max_times>4</hdr_max_times>
            <hdr_min_times>8</hdr_min_times>
            <hdr_max_times_face>4</hdr_max_times_face>
            <hdr_min_times_face>8</hdr_min_times_face>
            <hdr_baseIndex>0</hdr_baseIndex>
            <hdr_baseIndex_face>0</hdr_baseIndex_face>
            <hdr_mfnr_chromaNrEnable>1</hdr_mfnr_chromaNrEnable>
            <mfnr_frameNum>2</mfnr_frameNum>
            <mfnr_chromaNrEnable>1</mfnr_chromaNrEnable>
        </hdr_iso>
        <hdr_iso value="400">
            <hdr_exposure_ev>0;0;101;100;-0.8;101;100;0.8</hdr_exposure_ev>
            <hdr_exposure_ev_face>0;0;101;100;-1;101;100;0.9</hdr_exposure_ev_face>
            <hdr_max_times>4</hdr_max_times>
            <hdr_min_times>8</hdr_min_times>
            <hdr_max_times_face>4</hdr_max_times_face>
            <hdr_min_times_face>8</hdr_min_times_face>
            <hdr_baseIndex>1</hdr_baseIndex>
            <hdr_baseIndex_face>1</hdr_baseIndex_face>
            <hdr_mfnr_chromaNrEnable>1</hdr_mfnr_chromaNrEnable>
            <mfnr_frameNum>2</mfnr_frameNum>
            <mfnr_chromaNrEnable>1</mfnr_chromaNrEnable>
        </hdr_iso>
        <hdr_iso value="600">
            <hdr_exposure_ev>0;0;100;-0.58;100;0.65</hdr_exposure_ev>
            <hdr_exposure_ev_face>0;0;100;-0.95;100;0.9</hdr_exposure_ev_face>
            <hdr_max_times>4</hdr_max_times>
            <hdr_min_times>8</hdr_min_times>
            <hdr_max_times_face>4</hdr_max_times_face>
            <hdr_min_times_face>8</hdr_min_times_face>
            <hdr_baseIndex>1</hdr_baseIndex>
            <hdr_baseIndex_face>1</hdr_baseIndex_face>
            <hdr_mfnr_chromaNrEnable>1</hdr_mfnr_chromaNrEnable>
            <mfnr_frameNum>2</mfnr_frameNum>
            <mfnr_chromaNrEnable>1</mfnr_chromaNrEnable>
        </hdr_iso>
        <hdr_iso value="800">
            <hdr_exposure_ev>0;0;100;100;-0.4;100;0.8</hdr_exposure_ev>
            <hdr_exposure_ev_face>0;0;100;100;-0.90;100;0.95</hdr_exposure_ev_face>
            <hdr_max_times>4</hdr_max_times>
            <hdr_min_times>8</hdr_min_times>
            <hdr_max_times_face>4</hdr_max_times_face>
            <hdr_min_times_face>8</hdr_min_times_face>
            <hdr_baseIndex>1</hdr_baseIndex>
            <hdr_baseIndex_face>1</hdr_baseIndex_face>
            <hdr_mfnr_chromaNrEnable>1</hdr_mfnr_chromaNrEnable>
            <mfnr_frameNum>3</mfnr_frameNum>
            <mfnr_chromaNrEnable>1</mfnr_chromaNrEnable>
            <mode>0</mode>
        </hdr_iso>
        <hdr_iso value="1600">
            <hdr_exposure_ev>0;0;100;100;-0.31;100;0.5;0.5</hdr_exposure_ev>
            <hdr_exposure_ev_face>0;0;100;100;-0.9;100;0.9;0.9</hdr_exposure_ev_face>
            <hdr_max_times>4</hdr_max_times>
            <hdr_min_times>8</hdr_min_times>
            <hdr_max_times_face>4</hdr_max_times_face>
            <hdr_min_times_face>8</hdr_min_times_face>
            <hdr_baseIndex>1</hdr_baseIndex>
            <hdr_baseIndex_face>1</hdr_baseIndex_face>
            <hdr_mfnr_chromaNrEnable>1</hdr_mfnr_chromaNrEnable>
            <mfnr_frameNum>3</mfnr_frameNum>
            <mfnr_chromaNrEnable>1</mfnr_chromaNrEnable>
            <mode>0</mode>
        </hdr_iso>
        <hdr_iso value="2000">
            <hdr_exposure_ev>0;0;100;100;-0.25;100;0.5;0.5</hdr_exposure_ev>
            <hdr_exposure_ev_face>0;0;100;100;-0.95;100;0.80;0.80</hdr_exposure_ev_face>
            <hdr_max_times>4</hdr_max_times>
            <hdr_min_times>8</hdr_min_times>
            <hdr_max_times_face>4</hdr_max_times_face>
            <hdr_min_times_face>8</hdr_min_times_face>
            <hdr_baseIndex>1</hdr_baseIndex>
            <hdr_baseIndex_face>1</hdr_baseIndex_face>
            <hdr_mfnr_chromaNrEnable>1</hdr_mfnr_chromaNrEnable>
            <mfnr_frameNum>3</mfnr_frameNum>
            <mfnr_chromaNrEnable>1</mfnr_chromaNrEnable>
            <mode>0</mode>
        </hdr_iso>
        <hdr_iso value="3100">
            <hdr_exposure_ev>0;0;100;100;-0.23;100;0.5;0.5</hdr_exposure_ev>
            <hdr_exposure_ev_face>0;0;100;100;-0.85;100;0.85;0.85</hdr_exposure_ev_face>
            <hdr_max_times>4</hdr_max_times>
            <hdr_min_times>8</hdr_min_times>
            <hdr_max_times_face>4</hdr_max_times_face>
            <hdr_min_times_face>8</hdr_min_times_face>
            <hdr_baseIndex>1</hdr_baseIndex>
            <hdr_baseIndex_face>1</hdr_baseIndex_face>
            <hdr_mfnr_chromaNrEnable>1</hdr_mfnr_chromaNrEnable>
            <mfnr_frameNum>4</mfnr_frameNum>
            <mfnr_chromaNrEnable>1</mfnr_chromaNrEnable>
            <mode>0</mode>
        </hdr_iso>
        <hdr_iso value="3250">
            <hdr_exposure_ev>0;0;100;100;-0.20;100;0.45;0.45</hdr_exposure_ev>
            <hdr_exposure_ev_face>0;0;100;100;-0.95;100;0.90;0.90</hdr_exposure_ev_face>
            <hdr_max_times>4</hdr_max_times>
            <hdr_min_times>8</hdr_min_times>
            <hdr_max_times_face>4</hdr_max_times_face>
            <hdr_min_times_face>8</hdr_min_times_face>
            <hdr_baseIndex>1</hdr_baseIndex>
            <hdr_baseIndex_face>1</hdr_baseIndex_face>
            <hdr_mfnr_chromaNrEnable>1</hdr_mfnr_chromaNrEnable>
            <hdr_deghostStrength>0.5</hdr_deghostStrength>
            <mfnr_frameNum>4</mfnr_frameNum>
            <mfnr_chromaNrEnable>1</mfnr_chromaNrEnable>
            <mode>0</mode>
        </hdr_iso>
        <hdr_iso value="4550">
            <hdr_exposure_ev>0;0;100;100;-0.15;100;0.55;0.55</hdr_exposure_ev>
            <hdr_exposure_ev_face>0;0;100;100;-0.95;100;0.95;0.95</hdr_exposure_ev_face>
            <hdr_max_times>4</hdr_max_times>
            <hdr_min_times>8</hdr_min_times>
            <hdr_max_times_face>4</hdr_max_times_face>
            <hdr_min_times_face>8</hdr_min_times_face>
            <hdr_baseIndex>1</hdr_baseIndex>
            <hdr_baseIndex_face>1</hdr_baseIndex_face>
            <hdr_mfnr_chromaNrEnable>1</hdr_mfnr_chromaNrEnable>
            <hdr_deghostStrength>0.5</hdr_deghostStrength>
            <mfnr_frameNum>4</mfnr_frameNum>
            <mfnr_chromaNrEnable>1</mfnr_chromaNrEnable>
            <mode>0</mode>
        </hdr_iso>
        <hdr_iso value="6400">
            <hdr_exposure_ev>0;0;100;100;-0.15;100;0.55;0.55</hdr_exposure_ev>
            <hdr_exposure_ev_face>0;0;100;100;-0.95;100;0.95;0.95</hdr_exposure_ev_face>
            <hdr_max_times>4</hdr_max_times>
            <hdr_min_times>8</hdr_min_times>
            <hdr_max_times_face>4</hdr_max_times_face>
            <hdr_min_times_face>8</hdr_min_times_face>
            <hdr_baseIndex>1</hdr_baseIndex>
            <hdr_baseIndex_face>1</hdr_baseIndex_face>
            <hdr_mfnr_chromaNrEnable>1</hdr_mfnr_chromaNrEnable>
            <hdr_deghostStrength>0.5</hdr_deghostStrength>
            <mfnr_frameNum>4</mfnr_frameNum>
            <mfnr_chromaNrEnable>1</mfnr_chromaNrEnable>
            <mfnr_deghostStrength>0.0</mfnr_deghostStrength>
            <hdr_mfnr_deghostStrength>0.0</hdr_mfnr_deghostStrength>
            <mode>0</mode>
        </hdr_iso>
    </HdrParam>
</Config>
